{% extends "milkyway/base.html" %}
{% load staticfiles %}
            {% block nav_menu %}
                <li><a href="{% url 'buy'%}">Buy</a></li>
                <li><a href="{% url 'sell' %}">Sell/Rent</a></li>
                <!--li><a href="properties.html">Properties</a></li-->
                <li class="cta" ><a href="{%static 'sell.html'%}">Engineering Solutions</a></li>
                <!--li class="call"><a href="tel://123456789"><i class="icon-phone"></i> +1 123 456 789</a></li-->
                <li class="cta"><a href="{% url 'contact_us'%}">Contact us</a></li>
            {% endblock %}

{% block main_content %}



    <div class="fh5co-page-title" style="background-image: url({% static 'images/slide_6.jpg' %});">
            <div class="overlay"></div>
            <div class="container">
                    <div class="row">
                            <div class="col-md-12 animate-box">
                                    <h1>Map Search <span class="colored">Results</span></h1>
                            </div>
                    </div>
            </div>
    </div>

    <div id="map" class="animate-box" data-animate-effect="fadeIn"></div>

    <div id ="search" class="fh5co-contact animate-box">
            <div class="search">
            <div class="container">
            <form id="search-form" method ="get" action="{% url 'custom_search'%}">
    <div class="col-md-4">
            <div class="form-group">
            <input name="q" class="form-control" style="background: rgba(0, 0, 0, 0.15)" type="text" id="q_id" name="q" placeholder="Search With <Location>"  autocomplete="off"/>
    </div>
    </div>
    <div class="col-md-4">
            <select name="prop_type" class="dropdown" id="id_prop_type">
                    <option selected="selected" value="all">Select Property Type</option>
                    <option value="land">Land</option>
                    <option value="building">Building</option>
                    <option value="room">Flat</option>
            </select>
    </div>
    <div class="col-md-4">
            <div class="form-group">
                        <a href="javascript:void(0)" onclick="simple_search()" />
            <input type="button" id="submit" class="btn btn-search btn-info" name="submit_search" value="Search"/>
                        <a href="javascript:void(0)" onclick="map_search()" />
            <input type="button" id="submit" class="btn btn-search btn-warning" name="submit_search" value="Map Search"/>
    </div>
    </div>

</div>
</div>
    <form>
</div>


{% endblock %}

{% block scripts %}
    <script>
    function simple_search() {
        var search_data = $('#search-form').serialize();
        var root="http://localhost:8000/";
        window.location = root+"custom_search?"+search_data;
    }

    function map_search() {
        var search_data = $('#search-form').serialize();
        window.location = "?"+search_data;
    }
var google;
function addInfoWindow(marker, message) {

            var infoWindow = new google.maps.InfoWindow({
                content: message
            });

            google.maps.event.addListener(marker, 'click', function () {
                infoWindow.open(map, marker);
            });
        }

function init() {
    // Basic options for a simple Google Map
    // For more options see: https://developers.google.com/maps/documentation/javascript/reference#MapOptions
    // var myLatlng = new google.maps.LatLng(40.71751, -73.990922)° N, ;
    var myLatlng = new google.maps.LatLng({{center.position.lat}},{{center.position.lng}});
    // 39.399872
    // -8.224454

    var mapOptions = {
        // How zoomed in you want the map to start at (always required)
        zoom:12,

        // The latitude and longitude to center the map (always required)
        center: myLatlng,

        // How you would like to style the map.
        scrollwheel: false,
        styles: [{"featureType":"administrative.land_parcel","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"landscape.man_made","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"poi","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"simplified"},{"lightness":20}]},{"featureType":"road.highway","elementType":"geometry","stylers":[{"hue":"#f49935"}]},{"featureType":"road.highway","elementType":"labels","stylers":[{"visibility":"simplified"}]},{"featureType":"road.arterial","elementType":"geometry","stylers":[{"hue":"#fad959"}]},{"featureType":"road.arterial","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road.local","elementType":"geometry","stylers":[{"visibility":"simplified"}]},{"featureType":"road.local","elementType":"labels","stylers":[{"visibility":"simplified"}]},{"featureType":"transit","elementType":"all","stylers":[{"visibility":"off"}]},{"featureType":"water","elementType":"all","stylers":[{"hue":"#a1cdfc"},{"saturation":30},{"lightness":49}]}]
    };



    // Get the HTML DOM element that will contain your map
    // We are using a div with id="map" seen below in the <body>
    var mapElement = document.getElementById('map');

    // Create the Google Map using out element and options defined above
    var map = new google.maps.Map(mapElement, mapOptions);


    {% for y in locations %}
        {% for x in y.estate_set.all %}
            var latlng = new google.maps.LatLng({{x.position.lat}}, {{x.position.lng}});
            var marker= new google.maps.Marker({
                position: latlng,
                map: map,
                icon: 'http://localhost:8000/static/images/homo.png'
            });
        var contentString = '<img src="{{x.img.imgfile.url}}" style="width:158px;height:100px;" alt="img" class="img-responsive">' +
                            '<ul class="list-group"><li><h4 class="list-group-item list-group-item-success">{{x.title}}</h4></li>' +
                            '<li class="list-group-item">{{x.area}}</li>'+
                            '<li class="list-group-item list-group-item-info">Rs {{x.price}}</li>'+
                            '<a class="btn btn-info" href="{% url 'detail' property_id=x.id %}">See detail</a>'+
                            '</ul>';
        addInfoWindow(marker,contentString);

        {% endfor %}
        {% endfor %}

}
google.maps.event.addDomListener(window, 'load', init);
        </script>

    <script async defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyA5hoIozQlhqeLzU0w9ksjnS7wj3k6ExNU&callback=init">
    </script>
{% endblock %}
